#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module (built from python3-certifi.spec)

%define 	module	certifi

# pypi version does not include leading zeros in the date
# keep 2020.04.05.x here for python2 support
%define		tag 2020.04.05.2
%define		version %(echo %{tag} | sed -e 's/\\.0/./g')

Summary:	Python 2 package for providing Mozilla's CA Bundle
Summary(pl.UTF-8):	Pakiet Pythona 2 udostępniający bazę danych CA z Mozilli
Name:		python-%{module}
Version:	%{version}
Release:	1
License:	MPL v2.0
Group:		Libraries/Python
#Source0Download: https://github.com/certifi/python-certifi/tags
Source0:	https://github.com/certifi/python-certifi/archive/%{tag}/%{name}-%{tag}.tar.gz
# Source0-md5:	fd9a1ad96c94942a89f580f7477216d9
URL:		https://certifi.io/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Certifi is a carefully curated collection of Root Certificates for
validating the trustworthiness of SSL certificates while verifying the
identity of TLS hosts. It has been extracted from the Requests
project.

%description -l pl.UTF-8
Certifi to ostrożnie utrzymywany zbiór głównych certyfikatów
potwierdzających zaufanie do certyfikatów SSL podczas weryfikacji
tożsamości hostów TLS. Pochodzi z projektu Requests.

%package -n python3-%{module}
Summary:	Python 2 package for providing Mozilla's CA Bundle
Summary(pl.UTF-8):	Pakiet Pythona 2 udostępniający bazę danych CA z Mozilli
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-%{module}
Certifi is a carefully curated collection of Root Certificates for
validating the trustworthiness of SSL certificates while verifying the
identity of TLS hosts. It has been extracted from the Requests
project.

%description -n python3-%{module} -l pl.UTF-8
Certifi to ostrożnie utrzymywany zbiór głównych certyfikatów
potwierdzających zaufanie do certyfikatów SSL podczas weryfikacji
tożsamości hostów TLS. Pochodzi z projektu Requests.

%prep
%setup -q -n %{name}-%{tag}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Mon Mar 07 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-certifi.git;a=log;h=master

* Sun Mar 06 2022 Jakub Bogusz <qboosh@pld-linux.org> 4188321
- disable python3 here

* Sun Mar 06 2022 Jakub Bogusz <qboosh@pld-linux.org> 28b7ee3
- updated to 2020.04.05.2 (last version for python2)
  (classifiers have been removed between 2020.04.05.1 and 2020.04.05.2, but .2 is still compatible with python2)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 8226490
- release 2 (by relup.sh)

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> bc472cf
- updated to 2019.11.28

* Sat Nov 09 2019 Marcin Krol <hawk@tld-linux.org> 554691f
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> b3adc56
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Oct 03 2019 Jakub Bogusz <qboosh@pld-linux.org> c77ebf4
- updated to 2018.11.29

* Sun Dec 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 141802d
- updated to 2018.11.29

* Fri Jul 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 2c9c302
- updated to 2018.4.16
- there is no tests, so remove dead option

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d1f86c
- python 3.7 rebuild
- release 2 (by relup.sh)

* Wed Aug 02 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 1dbf107
- Version: 2017.7.27.1

* Sun Mar 05 2017 Jakub Bogusz <qboosh@pld-linux.org> d2c23e9
- updated to 2017.1.23

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d3b5b84
- python 3.6
- release 2 (by relup.sh)

* Sun Mar 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 9275985
- updated to 2016.2.28

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8e982d7
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> fe9cc48
- automatic change: use py_build/py_install macros

* Tue Nov 03 2015 Elan Ruusamäe <glen@delfi.ee> 05e882b
- drop unneeded py3 copy

* Tue Nov 03 2015 Elan Ruusamäe <glen@delfi.ee> 25d3b47
- update BR

* Tue Nov 03 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> bb398be
- initial

